<?php
/**
 * Copyright (c) 2020 TechDivision GmbH
 * All rights reserved
 *
 * This product includes proprietary software developed at TechDivision GmbH, Germany
 * For more information see http://www.techdivision.com/
 *
 * To obtain a valid license for using this software please contact us at
 * license@techdivision.com
 */
declare(strict_types=1);

namespace TechDivision\OrderWorkflowCustomExportFormat\Model;

use Magento\Sales\Api\Data\OrderInterface;
use Psr\Log\LoggerInterface;

/**
 * @copyright  Copyright (c) 2020 TechDivision GmbH (http://www.techdivision.com)
 * @link       http://www.techdivision.com/
 * @author     Vadim Justus <v.justus@techdivision.com>
 */
class MyFormatRenderer
{
    /**
     * @param OrderInterface $order
     * @param LoggerInterface $logger
     * @return string
     */
    public function execute(OrderInterface $order, LoggerInterface $logger): string
    {
        $logger->info(sprintf('Format order "%s" into my custom format ;)', $order->getIncrementId()));

        $value = <<<EOF
Some fancy file format
    Increment ID:           {$order->getIncrementId()}
    Customer E-Mail:        {$order->getCustomerEmail()}
...
EOF;
        return $value;
    }
}
